package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.ProjectInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface ProjectInfoService {
	ProjectInfo get(String id);
	boolean exist(String id);
	int insert(ProjectInfo model);
	int update(ProjectInfo model);
	int delete(String id);
	List<ProjectInfo> list();
	Page<ProjectInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    ProjectInfo findOneByCompanyId(String companyId);
    ProjectInfo findOneByProjectCode(String projectCode);
}